%global fontname oflb-pugsley
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0.2
Release:        2.20110730%{?dist}
Summary:        Pugsley font family
License:        OFL

URL:            http://openfontlibrary.org/en/font/pugsley
Source0:        https://empateinfinito.fedorapeople.org/font/oflb-pugsley-fonts/oflb-pugsley-fonts-0.2.tar.gz
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Typeface font based on an eighteenth century clock maker

%prep
%setup -q 
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc *.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Tue Feb 10 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 0.2-2.20110730
- Fix metainfo.xml

* Tue Feb 10 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 0.2-1.20110730
- Initial version
- Add metainfo file to show this font in gnome-software

